package org.project.entity.players;

import org.project.abilities.ArcaneStorm;
import org.project.item.armors.Armor;
import org.project.item.armors.WizardArmor;
import org.project.item.weapons.Sword;

public class Wizard extends Player {

    private static final int MAX_HP = 80;
    private static final int MAX_MP = 200;
    private static final int LEVEL = 1;
    private static final int XP = 0;
    private static final int BASE_DAMAGE = 10;

    private final Armor personalArmor =
            new WizardArmor();

    public Wizard(String name) {

        super(
                name,
                MAX_HP,
                MAX_MP,
                LEVEL,
                XP,
                null,
                BASE_DAMAGE,
                new Sword(),
                new ArcaneStorm()
        );
    }

    @Override
    public Armor getPersonalArmor() {
        return personalArmor;
    }
}
